package com.atlassian.bitbucket.mesh.git.builder.status;

import com.atlassian.bitbucket.mesh.git.builder.GitProcessBuilderSupport;

import javax.annotation.Nonnull;

public interface GitStatusBuilder extends GitProcessBuilderSupport<GitStatusBuilder> {

    @Nonnull
    GitStatusBuilder porcelain(boolean value);

    /**
     * @param value true to shorten
     * @return the git status builder
     */
    @Nonnull
    GitStatusBuilder shorten(boolean value);

    @Nonnull
    GitStatusBuilder untracked(String value);

    @Nonnull
    GitStatusBuilder path(String value);

    @Nonnull
    GitStatusBuilder paths(Iterable<String> values);

    @Nonnull
    GitStatusBuilder paths(String value, String... values);
}
